WordPress.org

Ready to get started?Download WordPress

Forums

Widget Wrangler
[resolved] WP 3.1 - Jquery UI Sortable & Widget Errors (10 posts)

  1. kristib
    Member
    Posted 3 years ago #

    Hey there,

    This plugin seems to be affected by the new issue with Jquery and jQuery UI where there are errors when sortable or widgets are called. Once I downgraded my WP install to 3.0 it dissapeared. If I disabled Wrangler in 3.1 it also seemed to dissapear.

    Does this plugin use jQuery 1.5? As from what I am reading there might be a jQuery UI conflict with it.

    Extremely useful plugin, thank you!

  2. Jonathan Daggerhart
    Member
    Plugin Author

    Posted 3 years ago #

    Hi kristib,

    Thanks for the heads up with the jQuery1.5 and jQuery UI incompatibilities. I've been looking into it for a little bit now and it seems there definitely is a problem with the two.

    Widget Wrangler doesn't use any specific version of jQuery, it just relies on whatever wordpress is using. What is confusing to me is that my WordPress 3.1 dev site is using jQuery 1.4.4, not 1.5. So I'm not sure why your site breaks with an update and fixes with a downgrade.

    According to the jQuery bug report which discusses the issue ( http://bugs.jquery.com/ticket/8123 ), it appears that jQuery 1.5.1 will include a fix.

    The wordpress Dev team is also aware of the problem ( http://wpdevel.wordpress.com/2011/02/10/if-your-menus-or-widgets-screens-broke/ ). This article says that WordPress 3.1 is freezing jQuery at version 1.4.4, and also offers a fix in case your theme is specifically using jQ1.5 (make sure you only load jQuery 1.5 on the frontend).

    I guess what I'm getting at is that it's not clear to me why you're having the problem on your site, unless you're somehow specifically loading jQuery 1.5.

    For now, I would recommend loading jQ1.5 only on the frontend as presented in the article by the wordpress dev team above.

    If that isn't an easy option for you, then maybe you can try a fix for the bug offered on this page: http://giuliom.wordpress.com/2011/02/08/patching-cdn-hosted-jquery/

    Hopefully, the jQuery team will release 1.5.1 soon, making this a non-issue. If you find that none of these options is helpful for you, then I could probably fix it with a Widget Wrangler release, but I don't really want to add code to WW that patches such a specific bug with other software. Especially a bug that has already been fixed and is queued for release.

    Sorry if this post is a bit rambling, but hopefully it helps you out. If not, let me know and I will see if there is another way I can help.

  3. kristib
    Member
    Posted 3 years ago #

    Great to know and thanks for the reply, and I agree with your approach. There's a chance my site is still loading a version of jQuery 1.5 though I thought I pulled it out (I am finishing a project started by someone else), so at this point I think it's safe to say it should be resolved once this 1.5.1 patch is out.

    Thanks again and appreciate your work on this plugin. I've been able to do quite a bit with it.

  4. jivyb
    Member
    Posted 2 years ago #

    I'm having similar trouble, I think. I can drag the sidebars to reorder them, but it's not remembered on saving and they always revert back to the order they were added in. Would that possibly be related to the fact that I've specifically loaded jQuery 1.6.1 on my install?

  5. Jonathan Daggerhart
    Member
    Plugin Author

    Posted 2 years ago #

    Hi jivyb,

    Can you tell me what version of the plugin you're using and how you're loading jQuery 1.6.1 manually?

    Thanks,
    daggerhart

  6. jivyb
    Member
    Posted 2 years ago #

    Hi daggerhart--

    Plugin version: Version 1.1rc7

    I have a weird setup cause I'm using a click-to-call widget that was conflicting w/ WP native jQuery so here's how I loaded jQuery so it would work:

    functions.php

    add_action( 'template_redirect', 'my_news_enqueue_script' );
    
    function my_news_enqueue_script() {
        wp_deregister_script(array('jquery'));
        wp_enqueue_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js', array(), "1.6.1");
        wp_enqueue_script( 'phono', 'http://s.phono.com/releases/0.2/jquery.phono.js', array( 'jquery' ) );
        wp_enqueue_script( 'callme', 'http://s.phono.com/addons/callme/79a53b7/jquery.callme.js', array( 'jquery' ) );
           /* PrettyPhoto */
        wp_enqueue_script( 'prettyphoto', get_stylesheet_directory_uri() . '/js/prettyphoto/js/jquery.prettyPhoto.js', array( 'jquery' ) );
    }

    And then in header.php:

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>

    I actually hired a programmer to figure that out for me, but he didn't know why it worked and figured it was something Phono was doing.

    I hope that helps...

  7. Jonathan Daggerhart
    Member
    Plugin Author

    Posted 2 years ago #

    This was a bug with Widget Wrangler and WP 3.2+

    WordPress 3.2+ no longer submits disabled input fields.

    I've updated the plugin. Version 1.1rc8 should fix this problem for standard WP 3.2+ users.

    When you get a moment, please test this new version with your jquery customizations. I would like to know if these fixes resolve your issue.

    Thanks!

  8. jivyb
    Member
    Posted 2 years ago #

    Hi Daggerhart--That works for reordering now, but in the single post/page view, if I try to drag all sidebars to the bottom to disable, on save, it resets them to default. Other than that, it's great.

    Thanks!

  9. Jonathan Daggerhart
    Member
    Plugin Author

    Posted 2 years ago #

    jivyb,

    I added the ability to drag all the widgets to the 'disabled' list in the newest version. This feature had been requested a bit before.

    Now, to reset the page to default widgets, there is a checkbox at the bottom of the widget wrangler panel that will reset the widgets to default upon save/update.

    Let me know if this works as expected.

    Thanks,

  10. jivyb
    Member
    Posted 2 years ago #

    Hi Daggerhart--It works as expected in my testing, though I wasn't sure if the checkbox reset to the WidgetWrangler defaults or the WP defaults w/out the Wrangler. But trying it a few times, seems to be the WW defaults, which makes sense, I guess:)

    I tried just using the preview to preview different combinations of widgets w/out publishing, but it appeared to save the widget config to the live page w/out my pushing publish/save/update.

    Thanks!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic